Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.beans.factory.annotation
Class InjectionMetadata.InjectedElement

    java.lang.Object
      org.springframework.beans.factory.annotation.InjectionMetadata.InjectedElement

Direct Known Subclasses:
  CommonAnnotationBeanPostProcessor.LookupElement

Enclosing class:
  InjectionMetadata

    public abstract static class InjectionMetadata.InjectedElement

extends Object

Field Summary
`protected boolean` | `isField`
`protected Member` | `member`
`protected PropertyDescriptor` | `pd`
`protected Boolean` | `skip`

Constructor Summary
`protected` | `InjectionMetadata.InjectedElement(Member member, PropertyDescriptor pd)`

Method Summary
`protected boolean` | `checkPropertySkipping(PropertyValues pvs)` Checks whether this injector's property needs to be skipped due to an explicit property value having been specified.
`protected void` | `checkResourceType(Class resourceType)`
`boolean` | `equals(Object other)`
`Member` | `getMember()`
`protected Object` | `getResourceToInject(Object target, String requestingBeanName)` Either this or `inject(java.lang.Object, java.lang.String, org.springframework.beans.PropertyValues)` needs to be overridden.
`protected Class` | `getResourceType()`
`int` | `hashCode()`
`protected void` | `inject(Object target, String requestingBeanName, PropertyValues pvs)` Either this or `getResourceToInject(java.lang.Object, java.lang.String)` needs to be overridden.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### member

    protected final Member member

### isField

    protected final boolean isField

### pd

    protected final PropertyDescriptor pd

### skip

    protected volatile Boolean skip

Constructor Detail

### InjectionMetadata.InjectedElement

    protected InjectionMetadata.InjectedElement(Member member,
                                                PropertyDescriptor pd)

Method Detail

### getMember

    public final Member getMember()

### getResourceType

    protected final Class getResourceType()

### checkResourceType

    protected final void checkResourceType(Class resourceType)

### inject

    protected void inject(Object target,
                          String requestingBeanName,
                          PropertyValues pvs)
                   throws Throwable

  Either this or `getResourceToInject(java.lang.Object, java.lang.String)` needs to be overridden.

  Throws:
    `Throwable`

### checkPropertySkipping

    protected boolean checkPropertySkipping(PropertyValues pvs)

  Checks whether this injector's property needs to be skipped due to an explicit property value having been specified. Also marks the affected property as processed for other processors to ignore it.

### getResourceToInject

    protected Object getResourceToInject(Object target,
                                         String requestingBeanName)

  Either this or `inject(java.lang.Object, java.lang.String, org.springframework.beans.PropertyValues)` needs to be overridden.

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.